package market.Lms.Consumable.vo;

import market.Lms.Consumable.mapper.LmsConsumableAnnexMapper;

import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="lms_consumable_annex", namespace=LmsConsumableAnnexMapper.class)
public class LmsConsumableAnnex {

	//2.3.2.14	耗材附件表
	
	@Column
	//编号
	private String object_no;
	
	@Id
	//附件编号
	private String annex_no;

	@Column
	//附件名称
	private String annex_name;

	@Column
	//附件别名
	private String annex_other_name;

	@Column
	//任务编号
	private String annex_type;

	@Column
	//附件保存地址
	private String annex_path;

	@Column
	//是否为图片 1：图片；2：非图片
	private String is_image;

	public String getObject_no() {
		return object_no;
	}

	public void setObject_no(String object_no) {
		this.object_no = object_no;
	}

	public String getAnnex_no() {
		return annex_no;
	}

	public void setAnnex_no(String annex_no) {
		this.annex_no = annex_no;
	}

	public String getAnnex_name() {
		return annex_name;
	}

	public void setAnnex_name(String annex_name) {
		this.annex_name = annex_name;
	}

	public String getAnnex_other_name() {
		return annex_other_name;
	}

	public void setAnnex_other_name(String annex_other_name) {
		this.annex_other_name = annex_other_name;
	}
	

	public String getAnnex_type() {
		return annex_type;
	}

	public void setAnnex_type(String annex_type) {
		this.annex_type = annex_type;
	}

	public String getAnnex_path() {
		return annex_path;
	}

	public void setAnnex_path(String annex_path) {
		this.annex_path = annex_path;
	}

	public String getIs_image() {
		return is_image;
	}

	public void setIs_image(String is_image) {
		this.is_image = is_image;
	}

}
